---
title: FederatedCredential.provider
slug: Web/API/FederatedCredential/provider
tags:
  - API
  - Credential Management API
  - FederatedCredential
  - NeedsExample
  - Property
  - Reference
  - credential management
---
<p>{{SeeCompatTable}}{{APIRef("")}}</p>

<p>The <strong><code>provider</code></strong> property of the {{domxref("FederatedCredential")}} interface returns a {{domxref("USVString")}} containing a credential's federated identity provider.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var provider = FederatedCredential.provider</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} containing a credential's federated identity provider.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comments</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FederatedCredential.provider")}}</p>
